/* eslint-disable unicorn/prevent-abbreviations */
'use strict';

module.exports = {
	extends: [
		'xo',
		'xo-typescript'
	],
	env: {
		es6: true,
		node: true
	},
	parser: '@typescript-eslint/parser',
	parserOptions: {
		project: 'tsconfig.json',
		sourceType: 'module',
		ecmaVersion: 2018
	},
	rules: {
		'arrow-parens': ['error', 'always'],
		'@typescript-eslint/no-var-requires': 'off'
	}
};
